<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: cvimage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('cvimage_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cvimage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cvimage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef CVIMAGE_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CVIMAGE_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;cxcore.h&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1cvimage.html">   27</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1cvimage.html">cvimage</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1cvimage_1_1_type.html">   29</a></span>&#160;        <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html">Type</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">   35</a></span>&#160;            <span class="keyword">enum class</span> <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;                <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7">YUYV</a>,</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;                <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296">UYVY</a>,</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc">BGR</a>,</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;                <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7">GRAY</a>,</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            } ;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html">Type</a>(uint16_t _width, uint16_t _height, <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> _format):width(_width),height(_height),format(_format) {}</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;                <span class="keywordtype">size_t</span> pixelSize;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                <span class="keywordflow">switch</span>(format) {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;                <span class="keywordflow">case</span> <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7">Format::GRAY</a>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                    pixelSize=1;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;                    <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;                <span class="keywordflow">case</span> <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7">Format::YUYV</a>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;                <span class="keywordflow">case</span> <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296">Format::UYVY</a>:</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;                    pixelSize=2;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;                    <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                <span class="keywordflow">case</span> <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc">Format::BGR</a>:</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;                    pixelSize=3;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                    <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                <span class="keywordflow">default</span>:</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                    pixelSize=0; <span class="comment">//TODO should throw an exception instead</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                }</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                <span class="keywordflow">return</span> pixelSize*width*height;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;cv image&quot;</span>;};</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> GetFormat()<span class="keyword"> const </span>{<span class="keywordflow">return</span> format;};</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            uint16_t GetWidth()<span class="keyword"> const </span>{<span class="keywordflow">return</span> width;};</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            uint16_t GetHeight()<span class="keyword"> const </span>{<span class="keywordflow">return</span> height;};</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            uint16_t width;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            uint16_t height;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Format</a> format;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        };</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <a class="code" href="classframework_1_1core_1_1cvimage.html#aedd2d705d07a7f5e21f63be9dce7caa5">cvimage</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a>* parent,uint16_t width,uint16_t height,<a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">Type::Format</a> format,std::string name=<span class="stringliteral">&quot;&quot;</span>,<span class="keywordtype">bool</span> allocate_data=<span class="keyword">true</span>,<span class="keywordtype">int</span> n=1);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <a class="code" href="classframework_1_1core_1_1cvimage.html#ad702529a508b1f67bbff58e8e99e2f2c">~cvimage</a>();</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1cvimage.html#a5cb3c8860d70215f05d111b4815956df">   99</a></span>&#160;        IplImage* <a class="code" href="classframework_1_1core_1_1cvimage.html#a5cb3c8860d70215f05d111b4815956df">img</a>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <a class="code" href="classframework_1_1core_1_1cvimage_1_1_type.html">Type</a> <span class="keyword">const</span>&amp;GetDataType()<span class="keyword"> const </span>{<span class="keywordflow">return</span> dataType;};</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        <span class="keywordtype">bool</span> allocate_data;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        Type dataType;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    };</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#endif // CVIMAGE_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea52c8796e733cb603dc16270c874e91d7">framework::core::cvimage::Type::Format::YUYV</a></div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_html"><div class="ttname"><a href="classframework_1_1core_1_1cvimage.html">framework::core::cvimage</a></div><div class="ttdoc">Class defining an image of kind IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:27</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_html_a5cb3c8860d70215f05d111b4815956df"><div class="ttname"><a href="classframework_1_1core_1_1cvimage.html#a5cb3c8860d70215f05d111b4815956df">framework::core::cvimage::img</a></div><div class="ttdeci">IplImage * img</div><div class="ttdoc">IplImage. </div><div class="ttdef"><b>Definition:</b> cvimage.h:99</div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea2ad5640ebdec72fc79531d1778c6c2dc">framework::core::cvimage::Type::Format::BGR</a></div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html_a97617b01df8aedc07b2ba46ef4988994"><div class="ttname"><a href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">framework::core::Object::Object</a></div><div class="ttdeci">Object(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_html_aedd2d705d07a7f5e21f63be9dce7caa5"><div class="ttname"><a href="classframework_1_1core_1_1cvimage.html#aedd2d705d07a7f5e21f63be9dce7caa5">framework::core::cvimage::cvimage</a></div><div class="ttdeci">cvimage(const Object *parent, uint16_t width, uint16_t height, Type::Format format, std::string name=&quot;&quot;, bool allocate_data=true, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_html_ad702529a508b1f67bbff58e8e99e2f2c"><div class="ttname"><a href="classframework_1_1core_1_1cvimage.html#ad702529a508b1f67bbff58e8e99e2f2c">framework::core::cvimage::~cvimage</a></div><div class="ttdeci">~cvimage()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea87261c567c007f283e17a5fc8c259296">framework::core::cvimage::Type::Format::UYVY</a></div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528e"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528e">framework::core::cvimage::Type::Format</a></div><div class="ttdeci">Format</div><div class="ttdef"><b>Definition:</b> cvimage.h:35</div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html">framework::core::cvimage::Type</a></div><div class="ttdef"><b>Definition:</b> cvimage.h:29</div></div>
<div class="ttc" id="classframework_1_1core_1_1cvimage_1_1_type_html_ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7"><div class="ttname"><a href="classframework_1_1core_1_1cvimage_1_1_type.html#ae8a6b4177d1f139d893636917635528ea48bf014c704c9eaae100a98006a37bf7">framework::core::cvimage::Type::Format::GRAY</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="cvimage_8h.html">cvimage.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
